# TCF Debug Adapter

This directory contains two major parts that contribute to the TCF Debug Adapter:
- `org.eclipse.tcf.dap`: The TCF Debug Adapter Server that is responsible to map the target communication to the generic Debug Adapter protocol.
- `tcf-dap-plugin`: The VS Code plugin that registers a debugger of type 'tcf-debug'. Any debug session of this type starts a TCF Debug Adapter Server to handle the session.

## Prerequisites

This extension requires latest node version.
Download the "Linux 64-bit Binary" from below page

https://nodejs.org/fa/blog/release/v12.22.6/

Unzip the tar, and keep the bin directory in PATH.


## Build Debug Server
```
./gradlew assembleDist
```

This command compiles the Java code and produces a fat jar in the `org.eclipse.tcf.dap/build/libs/` directory. 

## Build VS Code Plugin
```
yarn --cwd 'tcf-dap-plugin' && yarn --cwd 'tcf-dap-plugin' build
```

This produces the necessary output in the `tcf-dap-plugin/dist` directory. 
